String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("DivNUM").innerHTML="NUMERO DE COBRO :";
	document.getElementById("CboCom").value="";
	document.getElementById("TxtSer").value="";
	document.getElementById("TxtNum").value="";	
	document.getElementById("TxtAcu").value="";	
	document.getElementById("TxtTot").value="";	
	document.getElementById("TxtSal").value="";	
	document.getElementById("TxtObs").value="";	
	document.getElementById("TxtTve").value="";
	document.getElementById("TxtFecDev").value="";
	document.getElementById("TxtDocVen").value="";
	document.getElementById("TxtDocNum").value="";
	document.getElementById("TxtFecEmi").value="";
	//
	document.getElementById("CmdG").disabled =false;
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtFec").focus();
}
//
function flEliminar(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea eliminar?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("E");
	}
}
//
function flAnular(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea anular?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("A");
	}
}
//
function CalSaldo(){
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var SAL=TOT -( ACU + Tot);
	SAL=SAL.toFixed(2);
	document.getElementById("TxtSal").value=SAL;
}
function snNum(O,e,Sig){	
	var k;
	var v;
	v=trimm(O.value);
	k=(document.all) ? e.keyCode :e.which;
	if((k>=48 && k<=57) || k==8 || (k>=96 && k<=105) || 
		k==37 || k==39 || k==46 || k==36 || k==35 || k==9){
		return true;
	}else{
		if(k==13){
			sv("TxtTve","");
			sv("TxtAcu","");
			sv("TxtTot","");
			sv("TxtSal","");
			sv("TxtObs","");
			var Emp=gv("CboEmp");
			var Com=gv("CboCom");
			var Ser=gv("TxtSer");
			var Num=gv("TxtNum");
			if(jL(Emp)==0){
				alert("Seleccione una empresa");
				jFocus("CboEmp");return;
			}
			if(jL(Com)==0){
				alert("Seleccione un comprobante");
				jFocus("CboCom");return;
			}
			if(jL(Ser)==0){
				alert("Ingrese la serie");
				jFocus("TxtSer");return;
			}
			if(jLen(Num)==0){
				alert("Ingrese el numero del comprobante");
				jFocus("TxtNum");return;
			}
			var R=fGetSaldo();
			var D=R.split("|");
			if(D[1]=="OK"){
				//
				var A=D[2];
				var B=D[3];
				var REF_COM=D[4];
				var REF_KOD=D[5];
				sv("TxtTve",A);
				sv("TxtAcu",B);
				//sv("Cli",D[6]);
				jF("CboTip");
				return true;
			}else{
				if(D[1]=="MS"){
					alert(D[2]);
				}else{
					alert("Error de conexion");
				}
			}
		}else{
			return false;
		}
	}
}
function fGetSaldoT(){
	var Emp=gv("CboEmp");
	var Alm=gv("CboAlm");
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");	
	var TipT=gv("CboTip");
	var NumT=gv("TxtNumT");	
	ajax=CreateAJAX();
	var Z="";
	Z="aj_cob.php?C=CX_22&P1="+Com+"&P2="+Ser+"&P3="+Num+"&P4="+TipT+"&P5="+NumT+"&P6="+Emp+"&P7="+Alm;	
	//prompt(Z,Z);
	ajax.open("GET",Z,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;	
	return StrHtml.trim();
}
/*
function fGetSaldo(){
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	//
	ajax=CreateAJAX();
	var Z="";
	Z="aj_cob.php?C=GS&P1="+Com+"&P2="+Ser+"&P3="+Num;
	ajax.open("GET",Z,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;	
	return StrHtml.trim();
}
*/
function fGetSaldo(){
	var Emp=gv("CboEmp");
	var Tie=gv("CboAlm");
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	ajax=CreateAJAX();
	var Z="";
	Z="aj_cob.php?C=GS_22&P1="+Com+"&P2="+Ser+"&P3="+Num+"&P4="+Emp+"&P5="+Tie;
	//alert(Z);
	ajax.open("GET",Z,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;	
	return StrHtml.trim();
}
//
function fGuardar(){
	if(!pre("Esta seguro que desea guardar?")){
		return;
	}
	var Emp=gv("CboEmp");
	var Alm=gv("CboAlm");
	var Tie=gv("CboAlm");
	var Fec=gv("TxtFec");
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var Sal=jVal(gv("TxtSal"));	
	if(jL(Emp)==0){
		alert("Seleccione una empresa");
		return jF("Emp");
	}
	if(jL(Alm)==0){
		alert("Seleccione un punto de venta");
		return jF("Emp");
	}
	if(Fec.trim().length==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(jLen(Num)==0){
		alert("Ingrese el numero de comprobante y presione enter");
		jFocus("TxtNum");return;
	}
	if(Tot<=0){
		alert("El Tot. Cob. debe ser mayor a cero");
		jFocus("TxtTot");return;
	}
	if(Sal<0){
		alert("El saldo no puede ser menor a cero");
		jFocus("TxtTot");return;
	}
	document.getElementById("CmdG").disabled=true;
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		var lis_ven="";
		var Kon="";
		var r=AX("COB_VALIDAR_22_EX",Emp,Com,Ser,Num,TOT,ACU,Tot,Sal,lis_ven,Kon,Tie);
		var d=r.split("|");
		if(d[1]=="OK"){
			SM("G");
		}else{
			if(d[1]=="MS"){
				alert(d[2]);
			}else{
				alert("Errror de conexion");
			}
		}
	}else{
		alert("Funcion no habilitada");
		//SM("M");
	}
}
//**************************************************************************
function snNumT(O,e,Sig){	
	var k;
	var v;
	v=trimm(O.value);
	k=(document.all) ? e.keyCode :e.which;
	if((k>=48 && k<=57) || k==8 || (k>=96 && k<=105) || 
		k==37 || k==39 || k==46 || k==36 || k==35){
		return true;
	}else{
		if(k==13){
			sv("TxtTotT","");
			sv("TxtDisT","");
			sv("TxtTot","");
			//
			var Emp=gv("CboEmp");
			var Alm=gv("CboAlm");
			var Com=gv("CboCom");
			var Ser=gv("TxtSer");
			var Num=gv("TxtNum");
			var Tve=jVal(gv("TxtTve"));
			var Acu=jVal(gv("TxtAcu"));
			//
			if(jL(Emp)==0){
				alert("Seleccione una empresa");
				jFocus("CboEmp");return;
			}
			if(jL(Alm)==0){
				alert("Seleccione un punto de venta");
				jFocus("CboAlm");return;
			}
			if(jLen(Com)==0){
				alert("Seleccione el comprobante correspondiente");
				jFocus("CboCom");return;
			}
			if(jLen(Ser)==0){
				alert("Ingrese la serie del comprobante");
				jFocus("TxtSer");return;
			}
			if(jLen(Num)==0){
				alert("Ingrese el numero del comprobante y presione enter");
				jFocus("TxtNum");return;
			}
			if(Tve<=0){
				alert("Ingrese el numero del comprobante y presione enter");
				jFocus("TxtNum");return;
			}
			//
			var TipT=gv("CboTip");
			var NumT=gv("TxtNumT");
			if(jLen(TipT)==0){
				alert("Seleccion el tipo de transferencia");
				jFocus("CboTip");
				return;
			}
			if(jLen(NumT)==0){
				alert("Ingrese el numero del comprobante");
				jFocus("TxtNumT");return;
			}
			var R=fGetSaldoT();			
			if(R=="DIN"){
				alert("La devolucion presenta devolucion de dinero");
				jFocus("CboCom");return;
			}
			if(R=="PAN"){
				alert("La proforma ha sido anulada");
				jFocus("CboCom");return;
			}
			if(R=="VAN"){
				alert("La venta ha sido anulada");
				jFocus("CboCom");return;
			}
			if(R=="VNR"){
				alert("Venta/Proforma no registrada");
				jFocus("CboCom");return;
			}
			if(R=="DNR"){
				alert("Devolucion no registrada");
				jFocus("CboTip");return;
			}
			if(R=="DAN"){
				alert("La devolucion ha sido anulada");
				jFocus("CboTip");return;
			}
			if(R=="CLI"){
				alert("El cliente de la venta no corresponde al cliente de la devolucion");
				jFocus("CboTip");return;
			}
			var DATA=R.split("@");
			sv("TxtFecDev",DATA[0]);
			sv("TxtDocVen",DATA[1]);
			sv("TxtDocNum",DATA[2]);
			sv("TxtFecEmi",DATA[3]);
			sv("TxtTotT",DATA[4]);
			sv("TxtDisT",DATA[5]);
			//var A=DG(R,1);
			//var B=DG(R,2);
			//sv("TxtTotT",A);
			//sv("TxtDisT",B);
			document.getElementById(Sig).focus();
			return true;
		}else{
			return false;
		}
	}
}

function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	//alert(r);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}